<?php

class mysqlcontacto {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }



public function getContacto($id_persona){
     $querycontacto =$this->read("SELECT p.EMAIL,pn.CELULAR,p.TEL_FIJO,pn.TEL_OFICINA FROM tblpersonas p
                            INNER JOIN tblpernaturales pn ON pn.ID_PERNATURAL = p.ID_PERSONA
                            WHERE p.ID_PERSONA = '$id_persona'");
     return $querycontacto;
  }


public function updateEmail($id_persona,$email){
     $Updateemail = "UPDATE tblpersonas SET EMAIL ='$email' WHERE ID_PERSONA = '$id_persona'";
     if(mysql_query($Updateemail)){
        return "1";
     }else{
      return mysql_errno();

     }
}
public function updateCelular($id_persona,$celular){
     $Updateemail = "UPDATE tblpernaturales SET CELULAR='$celular' WHERE ID_PERNATURAL = '$id_persona'";
      if(mysql_query($Updateemail)){
        return "1";
     }else{
            return mysql_errno();

     }
}
public function updateTelfijo($id_persona, $tel_fijo){
     $Updateemail = "UPDATE tblpersonas SET TEL_FIJO='$tel_fijo' WHERE ID_PERSONA = '$id_persona'";
          if(mysql_query($Updateemail)){
        return "1";

     }else{
            return mysql_errno();

     }
}
public function updateTeloficina($id_persona,$tel_oficina){
     $Updateemail = "UPDATE tblpernaturales SET TEL_OFICINA='$tel_oficina' WHERE ID_PERNATURAL = '$id_persona'";
          if(mysql_query($Updateemail)){
        return "1";

     }else{
      return mysql_errno();
     }
}





 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>